### Method

# Gtk Window set_gravity

since: 4.20

#### Declaration [src]

    void
    gtk_window_set_gravity (
      GtkWindow* window,
      GtkWindowGravity gravity
    )

#### Description [src]

Sets the gravity that is used when changing the window size programmatically.

Available since: 4.20

Sets property | `Gtk.Window:gravity`

#### Parameters

`gravity`

  Type: `GtkWindowGravity`

  The new gravity.